﻿@model TaxDocument
<div class="modal-dialog max-w-550px" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Tax Document Upload</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="btn-close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form enctype="multipart/form-data" id="tax-document-upload-form">
            <input type="hidden" asp-for="ClientId" />
            <input asp-for="Guid" />
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label asp-for="Year" class="col-form-label"></label>
                            <select class="form-control form-control-lg @(Model?.ClientId > 0 ? "disabled" :"")" asp-for="Year" asp-items="ViewBag.Years"></select>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="dropzone dropzone-default dropzone-primary" id="tax-document-upload">
                        <div class="dropzone-msg dz-message needsclick">
                            <h3 class="dropzone-msg-title">Drop files here or click to upload.</h3>
                            <span class="dropzone-msg-desc">
                                The file size should not exceed 100mb and should be in PDF
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold spinner-white spinner-right" id="btn_submit_upload">
                    <i class="fas fa-upload"></i>
                    <span id="upload-text">Upload</span>
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    clearDropzone();
    var dropzoneOptions = dropzoneDefaultOptions;
    dropzoneOptions.acceptedFiles = "application/pdf";
    dropzoneOptions.url = "home/taxdocumentupload";
    dropzoneOptions.uploadMultiple = true;
    dropzoneOptions.maxFiles = 5;
    dropzoneOptions.parallelUploads = 5;
    dropzoneOptions.maxFilesize = 100; // MB
    dropzoneOptions.sending = function (file, xhr, formData) {
        var ownerUserId = $("#hdnOwnerUserId").val();
        var adminId = $("#hdnAdminId").val();
        var adviserId = ownerUserId > 0 ? ownerUserId : $("#hdnAdviserId").val();
        var actionByUserId = adminId > 0 ? adminId : adviserId;
        var frm = $("#tax-document-upload-form");
        formData.append("id", frm.find("#Id").val());
        formData.append("guid", frm.find("#Guid").val());
        formData.append("clientId", frm.find("#ClientId").val());
        formData.append("year", frm.find("#Year").val());
        formData.append("status", frm.find("#Status").val());
        var fromClient = $("#hdnClientId").val() > 0 ? true : false;
        formData.append("fromClient", fromClient);
        formData.append("actionByUserId", actionByUserId);
        initToastProgress();
    };
    dropzoneOptions.success = function (file, response) {
        if (file.accepted) {
            var swalOptions = successSwalOptions;
            swalOptions.title = response.message;
            Swal.fire(swalOptions);
            if (window["datatable"] != undefined)
                datatable.reload();
        }
        else {
            toastr.options = toastrOptions;
            toastr.error(response.message);
        }
    };
    $('#tax-document-upload').dropzone(dropzoneOptions);

    $("#TaxDocumentUploadModal #btn_submit_upload").click(function (e) {
        e.preventDefault();
        if ($("#tax-document-upload-form").valid()) {
            dropzoneEl = Dropzone.forElement(".dropzone");
            enableDisableUpload(true);
            if (dropzoneEl.getQueuedFiles().length > 0)
                dropzoneEl.processQueue();
            else
                $.post("adviser/home/taxdocumentupload", $("#tax-document-upload-form").serialize(), function (response) {
                    if (response.success) {
                        var swalOptions = successSwalOptions;
                        swalOptions.title = response.message;
                        Swal.fire(swalOptions);
                        if (window["datatable"] != undefined)
                            datatable.reload();
                        var modalId = $('.modal:visible').attr("id");
                        $(`#${modalId}`).modal('hide');
                    }
                    else {
                        toastr.options = toastrOptions;
                        toastr.error(response.message);
                    }
                });
        }
    });
</script>